{% extends "base.html" %}

{% load static %}

{% block title %}News{% endblock %}

{% block css %}{% static 'css/style.css' %}{% endblock %}

{% block content %}
<!-- News-list -->
<div class="container">
    {% if news_list %}
    <h2 class="top-title">News Page</h2>
	{% for news in news_list %}
	<div class="top-box row">
		<div class="title col-sm-8">{{ news.title }}</div>
		<div class="date-box col-sm-4">{{ news.date }}</div>
	</div>
	<div class="back-box news-back-box">
		<div class="front-box no-border">
			<p class="desc">{{ news.description }}</p>
		</div>
		<div class="bottom-box">
			{% for user in user_list %}
				{% if user.news_code == news.code %}
					{{ user.username }}
				{% endif %}
			{% endfor %}
		</div>
	</div>
	{% endfor %}
    {% else %}
    <h2 class="top-title">There are no news at the moment</h2>
    {% endif %}
</div>
{% endblock %}
